[arch-commits] Commit in libunwind/repos (6 files)

2015-09-30 Thread Sébastien Luttringer
Date: Wednesday, September 30, 2015 @ 22:01:14
  Author: seblu
Revision: 247947

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  
libunwind/repos/extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
(from rev 247946, 
libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
  libunwind/repos/extra-i686/PKGBUILD
(from rev 247946, libunwind/trunk/PKGBUILD)
  
libunwind/repos/extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
(from rev 247946, 
libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
  libunwind/repos/extra-x86_64/PKGBUILD
(from rev 247946, libunwind/trunk/PKGBUILD)
Deleted:
  
libunwind/repos/extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
  
libunwind/repos/extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch

--+
 /001-invalid-dwarf-opcodes-can-cause-references-beyond.patch |   
22 +
 extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch   |   
21 -
 extra-i686/PKGBUILD  |   
41 ++
 extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch |   
21 -
 extra-x86_64/PKGBUILD|   
41 ++
 5 files changed, 104 insertions(+), 42 deletions(-)

Deleted: extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
===
--- extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch  
2015-09-30 20:00:20 UTC (rev 247946)
+++ extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch  
2015-09-30 20:01:14 UTC (rev 247947)
@@ -1,21 +0,0 @@
-From 396b6c7ab737e2bff244d640601c436a26260ca1 Mon Sep 17 00:00:00 2001
-From: Arun Sharma 
-Date: Sat, 20 Jun 2015 02:47:22 +
-Subject: Invalid dwarf opcodes can cause references beyond the end of the 
array.
-

-diff --git a/include/dwarf_i.h b/include/dwarf_i.h
-index 1e6231e..4a02a7d 100644
 a/include/dwarf_i.h
-+++ b/include/dwarf_i.h
-@@ -20,7 +20,7 @@
- extern const uint8_t dwarf_to_unw_regnum_map[DWARF_REGNUM_MAP_LENGTH];
- /* REG is evaluated multiple times; it better be side-effects free!  */
- # define dwarf_to_unw_regnum(reg) \
--  (((reg) <= DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
-+  (((reg) < DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
- #endif
- 
- #ifdef UNW_LOCAL_ONLY
---
-cgit v0.9.0.2

Copied: 
libunwind/repos/extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
 (from rev 247946, 
libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
===
--- extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch  
(rev 0)
+++ extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch  
2015-09-30 20:01:14 UTC (rev 247947)
@@ -0,0 +1,11 @@
+--- a/include/dwarf_i.h
 b/include/dwarf_i.h
+@@ -20,7 +20,7 @@
+ extern const uint8_t dwarf_to_unw_regnum_map[DWARF_REGNUM_MAP_LENGTH];
+ /* REG is evaluated multiple times; it better be side-effects free!  */
+ # define dwarf_to_unw_regnum(reg)   \
+-  (((reg) <= DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
++  (((reg) < DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
+ #endif
+ 
+ #ifdef UNW_LOCAL_ONLY

Copied: libunwind/repos/extra-i686/PKGBUILD (from rev 247946, 
libunwind/trunk/PKGBUILD)
===
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2015-09-30 20:01:14 UTC (rev 247947)
@@ -0,0 +1,41 @@
+# $id$
+# Maintainer: Sébastien Luttringer
+# Contributor: Lawrence Lee 
+# Contributor: Phillip Marvin 
+# Contributor: keystone 
+
+pkgname=libunwind
+pkgver=1.1
+pkgrel=3
+pkgdesc='Portable and efficient C programming interface (API) to determine the 
call-chain of a program'
+arch=('i686' 'x86_64')
+url='http://www.nongnu.org/libunwind/'
+license=('GPL')
+depends=('glibc' 'xz')
+source=("http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz";
+'001-invalid-dwarf-opcodes-can-cause-references-beyond.patch')
+md5sums=('fb4ea2f6fbbe45bf032cd36e586883ce'
+ '73db2376e195a716f271ebce6bb7e5c0')
+
+prepare() {
+  patch -p1 -d $pkgname-$pkgver < 
001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure CFLAGS="$CFLAGS -U_FORTIFY_SOURCE" --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # This function is ``supposed'' to fail. Upstream know, but haven't fixed it.
+  make check || return 0
+}
+
+package() {
+  cd $pkgname-$pk

[arch-commits] Commit in libunwind/repos (6 files)

2015-09-30 Thread Sébastien Luttringer
Date: Wednesday, September 30, 2015 @ 20:58:33
  Author: seblu
Revision: 247933

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  
libunwind/repos/extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
(from rev 247932, 
libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
  libunwind/repos/extra-i686/PKGBUILD
(from rev 247932, libunwind/trunk/PKGBUILD)
  
libunwind/repos/extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
(from rev 247932, 
libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
  libunwind/repos/extra-x86_64/PKGBUILD
(from rev 247932, libunwind/trunk/PKGBUILD)
Deleted:
  libunwind/repos/extra-i686/PKGBUILD
  libunwind/repos/extra-x86_64/PKGBUILD

--+
 /PKGBUILD|   
74 ++
 extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch   |   
21 ++
 extra-i686/PKGBUILD  |   
35 
 extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch |   
21 ++
 extra-x86_64/PKGBUILD|   
35 
 5 files changed, 116 insertions(+), 70 deletions(-)

Copied: 
libunwind/repos/extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
 (from rev 247932, 
libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
===
--- extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch  
(rev 0)
+++ extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch  
2015-09-30 18:58:33 UTC (rev 247933)
@@ -0,0 +1,21 @@
+From 396b6c7ab737e2bff244d640601c436a26260ca1 Mon Sep 17 00:00:00 2001
+From: Arun Sharma 
+Date: Sat, 20 Jun 2015 02:47:22 +
+Subject: Invalid dwarf opcodes can cause references beyond the end of the 
array.
+
+---
+diff --git a/include/dwarf_i.h b/include/dwarf_i.h
+index 1e6231e..4a02a7d 100644
+--- a/include/dwarf_i.h
 b/include/dwarf_i.h
+@@ -20,7 +20,7 @@
+ extern const uint8_t dwarf_to_unw_regnum_map[DWARF_REGNUM_MAP_LENGTH];
+ /* REG is evaluated multiple times; it better be side-effects free!  */
+ # define dwarf_to_unw_regnum(reg) \
+-  (((reg) <= DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
++  (((reg) < DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
+ #endif
+ 
+ #ifdef UNW_LOCAL_ONLY
+--
+cgit v0.9.0.2

Deleted: extra-i686/PKGBUILD
===
--- extra-i686/PKGBUILD 2015-09-30 18:58:18 UTC (rev 247932)
+++ extra-i686/PKGBUILD 2015-09-30 18:58:33 UTC (rev 247933)
@@ -1,35 +0,0 @@
-# $id$
-# Maintainer: Sébastien Luttringer
-# Contributor: Lawrence Lee 
-# Contributor: Phillip Marvin 
-# Contributor: keystone 
-
-pkgname=libunwind
-pkgver=1.1
-pkgrel=2
-pkgdesc='Portable and efficient C programming interface (API) to determine the 
call-chain of a program'
-arch=('i686' 'x86_64')
-url='http://www.nongnu.org/libunwind/'
-license=('GPL')
-depends=('glibc' 'xz')
-source=("http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz";)
-md5sums=('fb4ea2f6fbbe45bf032cd36e586883ce')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure CFLAGS="$CFLAGS -U_FORTIFY_SOURCE" --prefix=/usr
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  # This function is ``supposed'' to fail. Upstream know, but haven't fixed it.
-  make check || return 0
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir/" install
-}
-
-# vim:set ts=2 sw=2 et:

Copied: libunwind/repos/extra-i686/PKGBUILD (from rev 247932, 
libunwind/trunk/PKGBUILD)
===
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2015-09-30 18:58:33 UTC (rev 247933)
@@ -0,0 +1,37 @@
+# $id$
+# Maintainer: Sébastien Luttringer
+# Contributor: Lawrence Lee 
+# Contributor: Phillip Marvin 
+# Contributor: keystone 
+
+pkgname=libunwind
+pkgver=1.1
+pkgrel=3
+pkgdesc='Portable and efficient C programming interface (API) to determine the 
call-chain of a program'
+arch=('i686' 'x86_64')
+url='http://www.nongnu.org/libunwind/'
+license=('GPL')
+depends=('glibc' 'xz')
+source=("http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz";
+'001-invalid-dwarf-opcodes-can-cause-references-beyond.patch')
+md5sums=('fb4ea2f6fbbe45bf032cd36e586883ce'
+ 'ea8aa624d6b6eaf1cbf56dfb48468e92')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure CFLAGS="$CFLAGS -U_FORTIFY_SOURCE" --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # This function is ``supposed'' to fail. Upstream know, but haven't fixed it.
+  make check || return 0
+}
+
+package() {
+  cd $pkgnam